<?php

	$lang = [];

	$lang['Unsuccessful payment!'] = 'Unsuccessful payment!';
	$lang['Unsuccessful preauthorization!'] = 'Unsuccessful preauthorization!';
	$lang['back to the website'] = 'Back to the website';
	

?>

<!DOCTYPE html>
<html lang="hu">

<head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
    
    <style>
    
        * { box-sizing: border-box;}

        input[type=text], select, textarea {
        width: 100%;
        padding: 12px;
        border: 1px solid #006699;
        border-radius: 4px;
        resize: vertical;
        }

        label {
        padding: 12px 12px 12px 0;
        display: inline-block;
        font-weight: bold;
        }

        select { background-color: #006699; color: white; font-weight: bold; }

        input[type=submit] {
        background-color: #006699;
        color: white;
        padding: 12px 20px;
        border: none;
        border-radius: 4px;
        cursor: pointer;
        margin: 0 auto;
        display: block;
        width: 30%;
        font-weight: bold;
        }

        input[type=submit]:hover { background-color: #1a53ff; }

        .form_container {
        border-radius: 5px;
        border: 2px solid #006699;
        background-color: #f2f2f2;
        padding: 20px;
        width: 80%;
        margin: 0 auto;

        box-shadow: 10px 10px 8px #888888;
        }

        #body{
            background-color: #f8f9fa;
            background-size: 100% 1.2em;
        }

        #company_logo{
        color: white;
        padding: 12px 20px;
        border: none;
        border-radius: 4px;
        cursor: pointer;
        width: 25%;
        margin: 0 auto;
        display: block;
        background-color: #f2f2f2;

        }

        #form_title{
        font-weight: bold;
        font-size:2vw;
        text-align: center;
        display: block;
        margin: 0 auto;
        width: 100%;
        color: #006699;
        padding-top: 10px;
        }

        .col-25 {
        float: left;
        width: 25%;
        margin-top: 6px;
        }

        .col-75 {
        float: left;
        width: 75%;
        margin-top: 6px;
        }

        .row{
            width: 80%;
            margin: 0 auto;
        }

        /* Clear floats after the columns */
        .row:after {
        content: "";
        display: table;
        clear: both;
        }

        #my_iframe{
        display: block;
        height: 500px;
        width: 80%;
        margin: 0 auto;
        padding: 12px 20px;
        background-color: #f2f2f2;
        border-radius: 5px;
        border: 2px solid #006699;
        box-shadow: 10px 10px 8px #888888;
        }

        #rows {
        border: 2px solid #006699;
        border-radius: 5px;
        background-color: #f2f2f2;
        padding: 20px;
        width: 80%;
        margin: 0 auto;
        box-shadow: 10px 10px 8px #888888;
        }

        /* --------------------------------------------------------- */

        /* Responsive layout - when the screen is less than 900px or 600px wide,
        make the two columns stack on top of each other instead of
        next to each other
        */
        @media screen and (max-width: 900px) {
        #company_logo { width: 50%; }
        #form_title { font-size:4vw; }
        }

        @media screen and (max-width: 600px) {
        .col-25, .col-75, input[type=submit] {
            width: 100%;
            margin-top: 0;
        }
        #company_logo { width: 40%; }
        #form_title { font-size:4vw; }
        #rows{ width: 90%; }
        #my_iframe { width: 90%; }

        .form_container {  width: 90%; } 
        .row{ width: 90%; }

        }
    </style>

    <title>Empire: Build yours on ours.</title>

    <!-- Bootstrap CSS CDN -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <!-- Our Custom CSS -->
    <!-- Scrollbar Custom CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/malihu-custom-scrollbar-plugin/3.1.5/jquery.mCustomScrollbar.min.css">

    <!-- Font Awesome JS -->
    <link rel='stylesheet' href='https:////netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css'>

    <!-- Favicon -->
    <link rel="apple-touch-icon" sizes="180x180" href="../../assets/favicon/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="../../assets/favicon/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="../../assets/favicon/favicon-16x16.png">
    <link rel="manifest" href="../../assets/favicon/site.webmanifest">
    <link rel="mask-icon" href="../../assets/favicon/safari-pinned-tab.svg" color="#5bbad5">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#ffffff">
    
    <link rel="stylesheet" href="../../assets/css/style.css">
    <link rel="stylesheet" href="../../assets/css/social.css">
    <style>
        /* This only works with JavaScript,
           if it's not present, don't show loader */
        .no-js #loader { display: none;  }
        .js #loader { display: block; position: absolute; left: 100px; top: 0; }
    </style>
</head>



<body id="body">

<a href="webshop_demo.php" class="btn btn-primary" style="margin: 10px;"><?= $lang['back to the website']; ?></a>

<div class="container mb-5">
  <div class="alert alert-danger" role="alert">
		<?php
			if ( isset($_POST['transaction_type']) && $_POST['transaction_type'] == 'preauth' ) {
				echo $lang['Unsuccessful preauthorization!'];
			} else {
				echo $lang['Unsuccessful payment!'];
			}
		?>	  
</div>

	<ul class="list-group">
	  <li class="list-group-item">request_type: <?php echo $_POST['request_type']; ?></li>
	  <li class="list-group-item">transaction_type: <?php echo $_POST['transaction_type']; ?></li>
	  <li class="list-group-item">order_date: <?php echo $_POST['order_date']; ?></li>
	  <li class="list-group-item">acquirer: <?php echo $_POST['acquirer']; ?></li>
	  <li class="list-group-item">customer_name: <?php echo $_POST['customer_name']; ?></li>
	  <li class="list-group-item">customer_surname: <?php echo $_POST['customer_surname']; ?></li>
	  <li class="list-group-item">customer_address: <?php echo $_POST['customer_address']; ?></li>
	  <li class="list-group-item">customer_city: <?php echo $_POST['customer_city']; ?></li>
	  <li class="list-group-item">customer_country: <?php echo $_POST['customer_country']; ?></li>
	  <li class="list-group-item">customer_zip: <?php echo $_POST['customer_zip']; ?></li>
	  <li class="list-group-item">customer_tel: <?php echo $_POST['customer_tel']; ?></li>
	  <li class="list-group-item">customer_email: <?php echo $_POST['customer_email']; ?></li>
	  <li class="list-group-item">customer_lang: <?php echo $_POST['customer_lang']; ?></li>
	  <li class="list-group-item">purchase_amount: <?php echo $_POST['purchase_amount']; ?></li>
	  <li class="list-group-item">discount_amount: <?php echo $_POST['discount_amount']; ?></li>
	  <li class="list-group-item">purchase_currency: <?php echo $_POST['purchase_currency']; ?></li>
	  <li class="list-group-item">purchase_installments: <?php echo $_POST['purchase_installments']; ?></li>
	  <li class="list-group-item">purchase_description: <?php echo $_POST['purchase_description']; ?></li>
	  <li class="list-group-item">response_result: <?php echo $_POST['response_result']; ?></li>
	  <li class="list-group-item">response_random_number: <?php echo $_POST['response_random_number']; ?></li>
	  <li class="list-group-item">order_number: <?php echo $_POST['order_number']; ?></li>
	  <li class="list-group-item">masked_pan: <?php echo '******' . substr($_POST['masked_pan'], 6); ?></li>
	  <li class="list-group-item">response_appcode: <?php echo $_POST['response_appcode']; ?></li>
	  <li class="list-group-item">response_message: <?php echo $_POST['response_message']; ?></li>
	  <li class="list-group-item">response_systan: <?php echo $_POST['response_systan']; ?></li>
	  <li class="list-group-item">card_type: <?php echo $_POST['card_type']; ?></li>
	  <li class="list-group-item">payment_method: <?php echo $_POST['payment_method']; ?></li>
	  <li class="list-group-item">account_id: <?php echo $_POST['account_id']; ?></li>
	  <li class="list-group-item">oneclick_result: <?php echo $_POST['oneclick_result']; ?></li>
	  <li class="list-group-item">merchant_id: <?php echo $_POST['merchant_id']; ?></li>
	  <li class="list-group-item">card_expdate: <?php echo (empty($_POST['card_expdate'])? '' : $_POST['card_expdate']); ?></li>
	  <li class="list-group-item">response_hash: <?php echo $_POST['response_hash']; ?></li>

	</ul>

</div>


</body>

</html>
